Bug 2630 - RDS main components configuration fails: Backup directory /home/archives does not exist or is not a directory
: RDS main components configuration fails: Backup directory /home/archives does...
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 05:08 MSD by Eugene Kanter
Modified: 2013-11-20 15:08 MSK (History)
0 users

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Kanter 2013-09-02 05:08:21 MSD
server6.4 x86_64, installed default set of packages, pretty much "next" all the way. created local user, running basic main configuration with replication enabled.


Configuration

Configuration in progress...
RDS main components

RDS web interface and OpenLDAP directory

Configuration failed.
Configuration errors

Service mmc-agent failed to start

See /var/log/mmc/mmc-agent.log for details

# cat /var/log/mmc/mmc-agent.log
2013-09-01 20:22:20,551 #139853482071808 INFO mmc-agent 3.0.4 starting...
2013-09-01 20:22:20,552 #139853482071808 INFO Using Python 2.6.6 (r266:84292, Jul 10 2013, 13:31:39)
2013-09-01 20:22:20,552 #139853482071808 INFO Using Python Twisted 8.2.0
2013-09-01 20:22:20,552 #139853482071808 INFO Multi-threading enabled, max threads pool size is 20
2013-09-01 20:22:20,633 #139853482071808 INFO Importing available MMC plugins
2013-09-01 20:22:20,722 #139853482071808 ERROR Backup directory /home/archives does not exist or is not a directory
2013-09-01 20:22:20,722 #139853482071808 WARNING Plugin base not loaded.
2013-09-01 20:22:20,722 #139853482071808 ERROR MMC agent can't run without the base plugin. Exiting.
Comment 1 Eugene Kanter 2013-09-02 05:17:14 MSD
false alarm. /home filesystem was nfs mounted.
however it seems that there must be a better place for archives location, please consider /var
Comment 2 Eugene Kanter 2013-09-14 23:54:01 MSD
Archives folder must be made customizable during initial configuration.
Found it hardcoded:

# rpm -qa | grep mmc | xargs rpm -ql | xargs grep -l /home/arc
/etc/mmc/plugins/base.ini
/usr/lib/python2.6/site-packages/mmc/plugins/samba/__init__.py
/usr/lib/python2.6/site-packages/mmc/plugins/samba/__init__.pyc
/usr/lib/python2.6/site-packages/mmc/plugins/samba/__init__.pyo

in case where /home is handled by an automounter having hardcoded

destpath = /home/archives

is very inconvenient.
Comment 3 Andrew Lukoshko 2013-11-20 15:08:54 MSK
Fixed in updates: https://abf.rosalinux.ru/advisories/ROSA-A-2013:1015